Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.luntsys.luntbuild.remoting
Class BuildFacade

    java.lang.Object
      com.luntsys.luntbuild.remoting.BuildFacade

public class BuildFacade
extends java.lang.Object

Facade of a build in luntbuild system. Mainly used by web service client to operate on properties of a build object.

Author:
  robin shine

Field Summary
`static int` | `FAILED` The build status is failed
`static int` | `RUNNING` The build status is running
`static int` | `SUCCESS` The build status is successful
`static int` | `UNKNOWN` The build status is unknown

Constructor Summary
`BuildFacade()`

Method Summary
`java.lang.String` | `getBuildLogUrl()` Get url of this build's buid log
`java.util.Date` | `getEndDate()` Get end date of this build
`long` | `getId()` Get id of this build.
`jva.lang.String` | `getRevisionLogUrl()` Get url of this build's revision log
`java.util.Date` | `getStartDate()` Get start date of this build
`int` | `getStatus()` Get status of this build.
`java.lang.String` | `getUrl()` Get url of this build
`java.lang.String` | `getVersion()` Get version of this build
`boolean` | `isCleanBuild()` Wheter or not this is a clean build
`boolean` | `isHaveLabelOnHead()` Whether or not head revisions of this build has been labeled in the vcs repository
`boolean` | `isRebuild()` Whether or not this is a rebuild
`void` | `setBuildLogUrl(java.lang.String buildLogUrl)` Set url of this build's build log
`void` | `setCleanBuild(boolean cleanBuild)` Set whether or not this is a clean build
`void` | `setEndDate(java.util.Date endDate)` Set end date of this build
`void` | `setHaveLabelOnHead(boolean haveLabelOnHead)` Set the value indicates whether or not head revisions of this build has been labeled in the vcs repository
`void` | `setId(long id)` Set id of this build
`void` | `setRebuild(boolean rebuild)` Set whether or not this is a rebuild
`void` | `setRevisionLogUrl(java.lang.String revisionLogUrl)` Set url of this build's revision log
`void` | `setStartDate(java.util.Date startDate)` Set start date of this build
`void` | `setStatus(int status)` Set status of this build
`void` | `setUrl(java.lang.String url)` Set url of this build
`void` | `setVersion(java.lang.String version)` Set version of this build

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

  The build status is unknown

  See Also:
    Constant Field Values

### SUCCESS

    public static final int SUCCESS

  The build status is successful

  See Also:
    Constant Field Values

### FAILED

    public static final int FAILED

  The build status is failed

  See Also:
    Constant Field Values

### RUNNING

    public static final int RUNNING

  The build status is running

  See Also:
    Constant Field Values

Constructor Detail

### BuildFacade

    public BuildFacade()

Method Detail

### getId

    public long getId()

  Get id of this build.

  Returns:
    id of this build

### setId

    public void setId(long id)

  Set id of this build

  Parameters:
    `id` -

### getStatus

    public int getStatus()

  Get status of this build.

  Returns:
    one value of `UNKNOWN`, `SUCCESS`, `FAILED`, or `RUNNING`

### setStatus

    public void setStatus(int status)

  Set status of this build

  Parameters:
    `status` - one value of `UNKNOWN`, `SUCCESS`, `FAILED`, or `RUNNING`

### getStartDate

    public java.util.Date getStartDate()

  Get start date of this build

  Returns:
    start date of this build

### setStartDate

    public void setStartDate(java.util.Date startDate)

  Set start date of this build

  Parameters:
    `startDate` -

### getEndDate

    public java.util.Date getEndDate()

  Get end date of this build

  Returns:
    end date of this build

### setEndDate

    public void setEndDate(java.util.Date endDate)

  Set end date of this build

  Parameters:
    `endDate` -

### getVersion

    public java.lang.String getVersion()

  Get version of this build

  Returns:
    version of this build

### setVersion

    public void setVersion(java.lang.String version)

  Set version of this build

  Parameters:
    `version` -

### isHaveLabelOnHead

    public boolean isHaveLabelOnHead()

  Whether or not head revisions of this build has been labeled in the vcs repository

  Returns:
    boolean value

### setHaveLabelOnHead

    public void setHaveLabelOnHead(boolean haveLabelOnHead)

  Set the value indicates whether or not head revisions of this build has been labeled in the vcs repository

  Parameters:
    `haveLabelOnHead` -

### isCleanBuild

    public boolean isCleanBuild()

  Wheter or not this is a clean build

  Returns:
    boolean value

### setCleanBuild

    public void setCleanBuild(boolean cleanBuild)

  Set whether or not this is a clean build

  Parameters:
    `cleanBuild` -

### isRebuild

    public boolean isRebuild()

  Whether or not this is a rebuild

  Returns:
    boolean value

### setRebuild

    public void setRebuild(boolean rebuild)

  Set whether or not this is a rebuild

  Parameters:
    `rebuild` -

### getUrl

    public java.lang.String getUrl()

  Get url of this build

  Returns:
    url of this build

### setUrl

    public void setUrl(java.lang.String url)

  Set url of this build

  Parameters:
    `url` -

### getBuildLogUrl

    public java.lang.String getBuildLogUrl()

  Get url of this build's buid log

  Returns:
    url of this build's build log

### setBuildLogUrl

    public void setBuildLogUrl(java.lang.String buildLogUrl)

  Set url of this build's build log

  Parameters:
    `buildLogUrl` -

### getRevisionLogUrl

    public java.lang.String getRevisionLogUrl()

  Get url of this build's revision log

  Returns:
    url of this build's revision log

### setRevisionLogUrl

    public void setRevisionLogUrl(java.lang.String revisionLogUrl)

  Set url of this build's revision log

  Parameters:
    `revisionLogUrl` -

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Luntsys Corp. All Rights Reserved.